/* 
 * Released Date: March 7 99
 * This is the Dynamic Soft CPU Scheduler II release by the 
 *   Monet Group, 
 *   http://cairo.cs.uiuc.edu/
 *   Department of Computer Science, 
 *   University of Illinois at Urbana Champaign.  
 * 
 * This release has been tested under SUN OS 5.6.
 *
 * Contacting Authors:
 *  Hao-hua Chu (h-chu3@cs.uiuc.edu)
 *  Klara Nahrstedt (klara@cs.uiuc.edu)
 */

#ifndef _MSG_QUEUE_H
#define _MSG_QUEUE_H

#include "Def.H"

class MsgQueue {
private:
  int _pid;
  int _svcFlag;
  int _fd;
public:
  MsgQueue(int svcFlag, int pid);
  ~MsgQueue();
  void send(Msg* msg);  /* send a msg to server */
  int recv(Msg* msg, int mtype, int blockFlag); /* recv a msg from the server */
};

#endif _MSG_QUEUE_H
