#!/bin/bash

[ $# = 0 ] && echo "Numero de LRMs" && exit

NUM_LRMS=$1
SEQ=`seq 1 $NUM_LRMS`
PORT_NAME=5432
PORT_LRM=20000

echo "#"
echo "# Starting Name server on port $PORT_NAME"
echo "#"

$ACE_ROOT/TAO/orbsvcs/Naming_Service/Naming_Service \
	-ORBnameserviceport $PORT_NAME > /dev/null &

sleep 1

for i in $SEQ; do

    echo "#"
    echo "# Starting Lrm $i on port $PORT_LRM"
    echo "#"

    $ACE_ROOT/2k/ResourceMgmt/orbsvcs/Lrm/Lrm \
	-ORBsvcconf ../Lrm/Lrm.conf \
	-ORBEndpoint iiop:// \
	-ORBEndpoint iiop://localhost:$PORT_LRM \
	-ORBnameserviceport $PORT_NAME \
	-ORBtradingserviceior `cat GrmIOR` \
	"$0" 2>&1 > /dev/null &

    PORT_LRM=$[$PORT_LRM+3]

done

