/******************************************************************************
*                                                                             *
*  File: KKUtil.h                                                             *
*                                                                             *
*  Description: Miscellaneous utility methods.                                *
*                                                                             *
*  Project: 2K                                                                *
*  Author: Christopher Hess (ckhess@cs.uiuc.edu)                              *
*                                                                             *
*******************************************************************************
   Revision Control Information
   $Revision: 1.4 $
   $Log: KKUtil.h,v $
   Revision 1.4  2000/02/28 22:15:50  f-kon
   *** empty log message ***

   Revision 1.3  2000/02/16 18:07:03  ckhess
   Fixed header.

   Revision 1.2  2000/02/16 18:00:41  ckhess
   Removed files that can be generated.

******************************************************************************/

#ifndef _KK_UTIL_H_
#define _KK_UTIL_H_

#include "ace/OS.h"
#include "dynamicTAO/src/ace/ACE_2K_OS.h"

class DynamicTAO_Export KKUtil {
public:
  // Returns the full DNS name of the local host.
  // It's the caller's responsibility to free the returned string.
  static const char *getMyHostName();
};

#endif  // _KK_UTIL_H_
