/******************************************************************************
*                                                                             *
*  File: hello_i.h                                                            *
*                                                                             *
*  Description: CORBA implementation of the hello object                      *
*                                                                             *
*                                                                             *
*  Project: 2K - Automatic Configuration                                      *
*  Author: Fabio Kon (f-kon@cs.uiuc.edu)                                      *
*                                                                             *
*******************************************************************************
   Revision Control Information
   $Revision: 1.1.1.1 $
   $Log: hello_i.h,v $
   Revision 1.1.1.1  1999/10/12 00:42:47  f-kon
   Version compatible with TAO 1.0

   Revision 1.1.1.1  1999/04/01 18:16:37  f-kon
   This new 2K source tree contains the most up-to-date version of ACE and TAO
   and including the dynamicTAO code as well as some 2K tests and preliminary
   versions of some of its high-level systems.


   Revision 1.1  1999/02/22 22:29:16  f-kon
   *** empty log message ***
                    

******************************************************************************/
#ifndef HELLO_I_H
#define HELLO_I_H

#include "helloS.h"
#include "dynamicTAO/src/ComponentConfigurator/LockingConfigurator.h"

#define HOOK_NAME "Hello_Implementation"

class hello_i : public POA_hello, Object
{
public:
  hello_i ();
  ~hello_i ();
  
  inline void null1 (CORBA::Environment &_tao_environment) {};
  inline void null2 (CORBA::Environment &_tao_environment) {};
  
  void echo1 (const char *arg, CORBA::Environment &_tao_environment);
  void echo2 (const char *arg, CORBA::Environment &_tao_environment);
  
  char *getHello (CORBA::Environment &_tao_environment);

private:
  LockingConfigurator *myConfigurator_;
};

#endif
