// $Id: Logging_Service.cpp,v 1.1.1.1 1999/10/12 00:42:55 f-kon Exp $

#include "Logging_Service_i.h"

ACE_RCSID(Logging_Service, Logging_Service, "$Id: Logging_Service.cpp,v 1.1.1.1 1999/10/12 00:42:55 f-kon Exp $")

int
main (int argc, char *argv[])
{
  // Set TAO_debug_level to 0 to ensure silent running unless
  // debugging is explicitly invoked
  TAO_debug_level = 0;

  Logger_Server log_server;

  ACE_DECLARE_NEW_CORBA_ENV;
   ACE_TRY
    {
      if (log_server.init (argc, argv, ACE_TRY_ENV) == -1)
        return 1;
      else
        {
          log_server.run (ACE_TRY_ENV);
          ACE_TRY_CHECK;
        }
    }
  ACE_CATCH (CORBA::SystemException, sysex)
    {
      ACE_PRINT_EXCEPTION (sysex, "System Exception");
      return -1;
    }
  ACE_CATCH (CORBA::UserException, userex)
    {
      ACE_PRINT_EXCEPTION (userex, "User Exception");
      return -1;
    }
  ACE_ENDTRY;

  return 0;
}
