// $Id: debug.h,v 1.1.1.1 1999/10/12 00:43:12 f-kon Exp $

// This may look like C, but it's really -*- C++ -*-

// ============================================================================
//
// = LIBRARY
//    TAO
//
// = FILENAME
//    debug.h
//
// = DESCRIPTION
//     debug/trace support.
//
// = AUTHOR
//     Copyright 1994-1995 by Sun Microsystems Inc.
//
// ============================================================================

#ifndef TAO_DEBUG_H
#define TAO_DEBUG_H

#include "tao/corbafwd.h"

#if !defined (ACE_LACKS_PRAGMA_ONCE)
# pragma once
#endif /* ACE_LACKS_PRAGMA_ONCE */

// These are global to simplify is use by other code, very much in
// particular by getopt and related argument-parsing code
//
// THREADING NOTE: don't set them except in an unthreaded environment
// such as process initialization.  They're treated as immutable.

// 0 to ??; higher == more
extern TAO_Export u_int TAO_debug_level;

// debug messages on (1) or off (0)
extern TAO_Export u_int TAO_orbdebug;

#endif /* TAO_DEBUG_H */
