// $Id: test_i.cpp,v 1.1.1.1 1999/10/12 00:43:12 f-kon Exp $

#include "test_i.h"
#include "tao/debug.h"

#if !defined(__ACE_INLINE__)
#include "test_i.i"
#endif /* __ACE_INLINE__ */

ACE_RCSID(MT_Client, test_i, "$Id: test_i.cpp,v 1.1.1.1 1999/10/12 00:43:12 f-kon Exp $")

void
Simple_Server_i::test_method (CORBA::Environment&)
    ACE_THROW_SPEC ((CORBA::SystemException))
{
  if (TAO_debug_level > 0)
    ACE_DEBUG ((LM_DEBUG,
                "%N:%l:(%P:%t):Simple_Server_i::test_method called\n"));
}

CORBA::Long
Simple_Server_i::get_number (CORBA::Environment&)
    ACE_THROW_SPEC ((CORBA::SystemException))
{
  if (TAO_debug_level > 0)
    ACE_DEBUG ((LM_DEBUG,
                "%N:%l:(%P:%t):Simple_Server_i::get_number called\n"));
  return this->number_++;
}

void
Simple_Server_i::put_number (CORBA::Long l,
                             CORBA::Environment &)
  ACE_THROW_SPEC ((CORBA::SystemException))
{
  if (TAO_debug_level > 0)
    ACE_DEBUG ((LM_DEBUG,
                "%N:%l:(%P:%t):Simple_Server_i::put_number: %d\n",
                l));
}

CORBA::Long
Simple_Server_i::get_put_number (CORBA::Long_out out_l,
                                 CORBA::Long in_l,
                                 CORBA::Environment &ACE_TRY_ENV)
  ACE_THROW_SPEC ((CORBA::SystemException))
{
  out_l = 931233;
  if (TAO_debug_level > 0)
    ACE_DEBUG ((LM_DEBUG,
                "%N:%l:(%P:%t):Simple_Server_i::get_put_number:  %d\n",
                in_l));

  return 931234;
}

void
Simple_Server_i::shutdown (CORBA::Environment&)
    ACE_THROW_SPEC ((CORBA::SystemException))
{
  this->orb_->shutdown (0);
}
