#if !defined(_JAVA_INTERPRETING_STRATEGY_H_)
#define _JAVA_INTERPRETING_STRATEGY_H_

#include "ace/OS.h"	
#include "dynamicTAO/src/ace/ACE_2K_OS.h"
//#include "interpreting_strategy.h"
#include "jni.h"


#define CLASSPATH ".:/local/lib/java/classes.zip:/projects/2k/personal/ckhess/java/jmf/JMF/lib/jmf.jar:/projects/2k/personal/fabio/java:/projects/2k/personal/fabio/java/video/pull"
// SHOULD GET THIS FROM THE USER ENVIRONMENT. MAYBE WE DON'T NEED THIS AT ALL.

class JVM_Strategy
{
    JNIEnv *env;
    JavaVM *jvm;
    JDK1_1InitArgs vm_args;
    jint res;
    jclass cls;
    jmethodID mid;
    jstring jstr;
    jobjectArray args;
    char classpath[1024];

public:

	JVM_Strategy() 
	{ 
            //IMPORTANT: specify vm_args version # if you use JDK1.1.2 and beyond
		vm_args.version = 0x00010001;
	};

  
	~JVM_Strategy() 
	{
            fini ();
	};
  
	int open();	

    // make it return a string in the future (char *)
    unsigned char interpret (char *classname, char *method, char *signature, char *argstr);	  

    int fini (void);
    
    void dump(void) const;
};


#endif




