#if !defined(_PERFORMANCE_MONITORING_STRATEGY_H_)
#define _PERFORMANCE_MONITORING_STRATEGY_H_

#include "ace/OS.h"	
#include "ace/SOCK_Stream.h"
#include "tao/Stub.h"

class TAO_GIOP_ServerRequest;

class Performance_Monitoring_Strategy
{
public:
#if 0
	Performance_Monitoring_Strategy(){}
	virtual ~Performance_Monitoring_Strategy(){}
#endif

	virtual int open()=0;

	virtual void analyze(TAO_ORB_Core *orb_core, TAO_GIOP_ServerRequest &request, 
                             ACE_SOCK_Stream &peer, CORBA::Environment &env)=0;

	virtual void dump (void) const = 0;
};

#endif
