#if !defined(_CLIENT_SECURITY_STRATEGY_H_)
#define _CLIENT_SECURITY_STRATEGY_H_

#include "ace/OS.h"	
#include "dynamicTAO/src/ace/ACE_2K_OS.h"
#include "tao/Stub.h"

class IIOP_ServerRequest;

class Client_Security_Strategy
{
public:
	Client_Security_Strategy(){}
	virtual ~Client_Security_Strategy(){}

	virtual int open()=0;

	virtual CORBA::Principal_ptr get_principal()=0;

	virtual void dump (void) const = 0;
};

#endif
