/*************************************************************/
/* Manuel Roman			11-27-1998
/* 
/* This strategy must be used when no security policy is 
/* required.
/*************************************************************/
//  $Log: null_security_strategy.h,v $
//  Revision 1.1.1.1  1999/10/12 00:43:30  f-kon
//  Version compatible with TAO 1.0
//
//  Revision 1.1.1.3  1999/09/22 19:07:17  yamane
//  dynamicTAO for TAO1.0
//
//  Revision 1.1.1.2  1999/09/22 18:58:01  yamane
//  dynamicTAO for TAo1.0
//
//  Revision 1.1.1.1  1999/04/01 18:16:36  f-kon
//  This new 2K source tree contains the most up-to-date version of ACE and TAO
//  and including the dynamicTAO code as well as some 2K tests and preliminary
//  versions of some of its high-level systems.
//
//
//  Revision 1.2  1999/03/24 22:13:14  mroman
//  Last version with New Strategies
//
//  Revision 1.1.1.1  1999/03/08 19:45:00  f-kon
//  This is a new version of dynamicTAO that is synchronized with the latest 
//  version of TAO. 
//
//  Revision 1.2  1999/02/04 17:02:04  mroman
//  no message
//
//   Revision   1999/02/3 15:01:35  mroman
//   Modified the code of TAO. From now on it is not necessary
//	 to use this strategy. By default the ORB will use no strategy


#if !defined(_NULL_SECURITY_STRATEGY_H_)
#define _NULL_SECURITY_STRATEGY_H_

#include "client_security_strategy.h"
#include "server_security_strategy.h"

class Null_Security_Strategy: public Server_Security_Strategy
{
public:
	Null_Security_Strategy(){}
	virtual ~Null_Security_Strategy(){}

	int open(){return 1;};

	int check(TAO_GIOP_ServerRequest &request);//{return 1;};
	
	void dump (void) const {};
};

#endif

