#if !defined(_SECURITY_STRATEGY_H_)
#define _SECURITY_STRATEGY_H_

#include "ace/OS.h"	
#include "dynamicTAO/src/ace/ACE_2K_OS.h"
#include "tao/Stub.h"

class IIOP_ServerRequest;

class SECURITY_STRATEGY
{
public:
	SECURITY_STRATEGY(){}
	~SECURITY_STRATEGY(){}

	virtual int open()=0;

	virtual int check(IIOP_ServerRequest &sr)=0;

	virtual CORBA::Principal_ptr get_principal()=0;

	virtual void dump (void) const = 0;
};

#endif
