#if !defined(_SERVER_SECURITY_STRATEGY_H_)
#define _SERVER_SECURITY_STRATEGY_H_

#include "ace/OS.h"	
#include "dynamicTAO/src/ace/ACE_2K_OS.h"
#include "tao/Stub.h"
#include "tao/orbconf.h"

// class TAO_GIOP_ServerRequest;
#include "tao/GIOP_Server_Request.h"

class Server_Security_Strategy
{
public:
	Server_Security_Strategy(){}
	virtual ~Server_Security_Strategy(){}

	virtual int open()=0;

	virtual int check(TAO_GIOP_ServerRequest &request)=0;

	virtual void dump (void) const = 0;
};

#endif
