#ifndef __SMARTPACKET_H
#define __SMARTPACKET_H

#include "ace/INET_Addr.h"

#ifndef __HOST_NODE
#define __HOST_NODE
class host_node
{
public:
  char name[ACE_MAX_FULLY_QUALIFIED_NAME_LEN]; 
  int port;
};
#endif

// ALL THIS STUFF HARD-CODED WITH STATIC ALLOCATION IS VERY BAD!!!!!!!!!!!!!!!!!!
// SOMEONE MUST FIX THIS!!!! Fabio.

#define MAX_DCP_CMD_PER_PKT 20 // It was 100 before. Fabio.
#define MAX_DCP_CMD_LEN 102400
#define MAX_HOST_PER_PKT 20 // It was 100 before. Fabio.

class ACE_2K_Export SmartPacket 
{

private:
  int seqno;
  host_node root;
  int num_dcp_cmds;

  // LOOK AT THE FOLLOWING LINE!!!!!! IT MUST BE FIXED!!!!! FABIO.
  char dcp_cmds[MAX_DCP_CMD_PER_PKT][MAX_DCP_CMD_LEN];


  int dcp_cmd_len[MAX_DCP_CMD_PER_PKT];
  host_node hostnames[MAX_HOST_PER_PKT];
  int num_hosts; 
  int adjacency_matrix[MAX_HOST_PER_PKT][MAX_HOST_PER_PKT];
  int get_hostnames(char * stream, int len);
  int get_adjacencymatrix(char * stream,int len, int start_posn);
  int get_dcpcommand(char *stream, int len, int start_posn);
  int get_source(char *buf, int len, int start_posn);
  
  char incoming[512*1024];  // the incoming data stream // Hard-coding the size is terrible!
  int incomingLen; // length of the incoming stream
  int endOfDCP;
  int hopCount;    // number of hops packet has taken so far

public:
  SmartPacket();
  int initialize(char * stream, int len);
  /* given a char array of length len you can tokenize it
     and initialize your local fields - return -1 for failure
  */
  int toStream(char *stream);
  /* marshal all your data into the stream and return the
     length */
 
  void getRoot(char *name, int *port);
  /* Return the name of the root node (graph) */
  int getSeqNo();
  /* Return the current seq no */
 
  void setRoot(char *name, int port);
  /* set your values to the ones passed */
  void setSeqNo(int seqn);
  /* set the seq no field */
 
  int numDCPcmds();
  /* Number of DCP commands */

  /* return the cmdno'th DCP command - I'll use Fabio's code
     to execute it */
  int getDCPcmd(int cmdno, char* buf);
         
  int numChildren(char *parent, int port);
  /* Number of "children" in the graph to whom I need to
     send the packet given that I received it from "parent" */
  int getchild(char *parent, int port, int child_no, char* buf, int* portno);
 
  void myName(char *, int, char *, int *);
  int getHopCount(); // returns the hop count

  int major_version, minor_version;

};

#endif
