/******************************************************************************
*                                                                             *
*  File: MinimalComponent.h                                                   *
*                                                                             *
*  Description: A loadable component of minimal size.                         *
*                                                                             *
*  Project: 2K - dynamic reconfiguration                                      *
*  Author: Fabio Kon (f-kon@cs.uiuc.edu)                                      *
*                                                                             *
*******************************************************************************
   Revision Control Information
   $Revision: $
   $Log: $
******************************************************************************/

#ifndef MINIMAL_COMPONENT_H
#define MINIMAL_COMPONENT_H

#include "dynamicTAO/src/ace/Simple_Strategy_Factory.h"

class MinimalComponent_Factory : public Simple_Strategy_Factory
{
public:
  //  virtual int init (int argc, char *argv[]);

};

ACE_FACTORY_DECLARE (ACE, MinimalComponent_Factory)

#endif
