/******************************************************************************
*                                                                             *
*  File: Size11Component.h                                                     *
*                                                                             *
*  Description: A loadable component of a certain size.                       *
*                                                                             *
*  Project: 2K - dynamic reconfiguration                                      *
*  Author: Fabio Kon (f-kon@cs.uiuc.edu)                                      *
*                                                                             *
*******************************************************************************
   Revision Control Information
   $Revision: $
   $Log: $
******************************************************************************/

#ifndef MINIMAL_COMPONENT_H
#define MINIMAL_COMPONENT_H

#include "dynamicTAO/src/ace/Simple_Strategy_Factory.h"

class Size11Component_Factory : public Simple_Strategy_Factory
{
public:
  virtual int init (int argc, char *argv[]);
};

ACE_FACTORY_DECLARE (ACE, Size11Component_Factory)

#endif
