/******************************************************************************
*                                                                             *
*  File: Size2Component.cpp                                                   *
*                                                                             *
*  Description: A loadable component of a certain size.                       *
*                                                                             *
*  Project: 2K - dynamic reconfiguration                                      *
*  Author: Fabio Kon (f-kon@cs.uiuc.edu)                                      *
*                                                                             *
*******************************************************************************
   Revision Control Information
   $Revision: $
   $Log: $
******************************************************************************/

#include "Size2Component.h"

Size2Component_Factory::init (int argc, char *argv[])
{
  localConfigurator (new SimpleConfigurator ("Size2Component", this));
  localConfigurator ()->info ("A component of size level 2");

  return 0;
}

int a0, b0, c0, d0, e0, f0, g0, h0, i0, j0;
int func0 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a1, b1, c1, d1, e1, f1, g1, h1, i1, j1;
int func1 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a2, b2, c2, d2, e2, f2, g2, h2, i2, j2;
int func2 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a3, b3, c3, d3, e3, f3, g3, h3, i3, j3;
int func3 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a4, b4, c4, d4, e4, f4, g4, h4, i4, j4;
int func4 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }





ACE_FACTORY_DEFINE (ACE, Size2Component_Factory)
