//#include "Trading_Service.h"
#include "orbsvcs/Trader/GrmExt_i.h"
#include "orbsvcs/CosNamingS.h"
#include "orbsvcs/CosNamingC.h"

// Generic ostream inserter for exceptions. Inserts the exception
// name, if available, and the repository ID otherwise.
static ostream &operator<<(ostream &os, const CORBA::Exception &e) {
  CORBA::Any tmp;
  tmp <<= e;

  CORBA::TypeCode_var tc = tmp.type();
  const char * p = tc->name();
  if (*p != '\0')
    os << p;
  else
    os << tc->id();
  
  return os;
}

int main(int argc, char *argv[]) {
  try {
    CORBA::Object_var obj;
    CORBA::ORB_var orb = CORBA::ORB_init(argc, argv);

    obj = orb->string_to_object("file:///tmp/IOR_GrmExt");
    ResourceMgmt::GrmExt_var grmExt = ResourceMgmt::GrmExt::_narrow(obj);
    grmExt->test("aaaaaaaaaaaaaaaaaaa");

  } catch (const CORBA::SystemException &e) {
    cerr << "cliente_teste: Excessao" << endl;
    return 1;
  }
    
  return 0;
}
