// $Id: Offer_Sem.h,v 1.1 2000/02/19 20:31:51 yamane Exp $

// ============================================================================
//
// = LIBRARY
//    RMP/Lrm
//
// = FILENAME
//    Offer_Sem.h
//
// = DESCRIPTION
//    This class implements the helper for oneway communication
//
// = AUTHOR
//    Tomonori Yamane <yamane@uiuc.edu>
//
// ============================================================================

#ifndef OFFER_SEM_I_H
#define OFFER_SEM_I_H

#include "orbsvcs/CosTradingC.h"

class Offer_Sem_Manager {
public:
  Offer_Sem_Manager(void);
  ~Offer_Sem_Manager(void);
  static long checkin(CosTrading::OfferSeq **offers);
  static void swait(const long sem_tag);
  static void checkout(long sem_tag, const CosTrading::OfferSeq *offers);
};

#endif
