/******************************************************************************
*                                                                             *
*  File: KKUtil.cpp                                                           *
*                                                                             *
*  Description: Miscellaneous utility methods.                                *
*                                                                             *
*  Project: 2K                                                                *
*  Author: Christopher Hess (ckhess@cs.uiuc.edu)                              *
*                                                                             *
*******************************************************************************
   Revision Control Information
   $Revision: 1.4 $
   $Log: KKUtil.cpp,v $
   Revision 1.4  2000/02/28 22:15:49  f-kon
   *** empty log message ***

   Revision 1.3  2000/02/16 18:07:12  ckhess
   Fixed header.

   Revision 1.2  2000/02/16 18:00:40  ckhess
   Removed files that can be generated.

******************************************************************************/

#include "KKUtil.h"

/*
 * Since some hosts are not properly configured, we first ask for the local host
 * what's its name and then we ask the DNS server what's the full, major name
 * associated with that name.
 * It's the caller's responsibility to free the returned string.
 */
const char *
KKUtil::getMyHostName()
{
  // First, ask the local host.
  char host[MAXHOSTNAMELEN];
  ACE_OS::hostname (host, MAXHOSTNAMELEN); 
  // Now, ask the DNS server.
  struct hostent *h = ACE_OS::gethostbyname(host);
  return ACE_OS::strdup(h->h_name);
}
