// $Id: Pipeline_Handler.cpp,v 1.1.1.1 1999/10/12 00:43:23 f-kon Exp $

#ifndef JAWS_PIPELINE_HANDLER_CPP
#define JAWS_PIPELINE_HANDLER_CPP

#include "JAWS/Pipeline_Handler.h"

ACE_RCSID(JAWS, Pipeline_Handler, "$Id: Pipeline_Handler.cpp,v 1.1.1.1 1999/10/12 00:43:23 f-kon Exp $")

template <class TYPE>
JAWS_Pipeline_Abstract_Handler<TYPE>::JAWS_Pipeline_Abstract_Handler (void)
{
}

template <class TYPE>
JAWS_Pipeline_Abstract_Handler<TYPE>::~JAWS_Pipeline_Abstract_Handler (void)
{
}

template <class TYPE> int
JAWS_Pipeline_Abstract_Handler<TYPE>::put (ACE_Message_Block *mb,
                                           ACE_Time_Value *tv)
{
  TYPE *data = (TYPE *) mb->data_block ();

  int status = this->handle_put (data, tv);

  return status;
}

#endif /* !defined (JAWS_PIPELINE_HANDLER_CPP) */
