#if !defined (THREAD_POOL_LIST_H)
#define THREAD_POOL_LIST_H

#include "ace/Containers.h"

class SvcHandler_Record
{
  friend class ACE_Double_Linked_List<SvcHandler_Record>;
  friend ACE_Double_Linked_List_Iterator<SvcHandler_Record>;

public:
  inline SvcHandler_Record (TAO_Server_Connection_Handler *sh = 0)
    : sh_(sh)
    {
    }

  inline TAO_Server_Connection_Handler *get_sh(){return sh_;}
  

protected:
  SvcHandler_Record *next_;

  SvcHandler_Record *prev_;

private:
  TAO_Server_Connection_Handler *sh_;
};

typedef ACE_Double_Linked_List<SvcHandler_Record> SvcHandler_List;

#endif
