#if !defined(_JAVA_INTERPRETING_STRATEGY_H_)
#define _JAVA_INTERPRETING_STRATEGY_H_

#include "ace/OS.h"	
#include "../../ace/ACE_2K_OS.h"
#include "interpreting_strategy.h"
#include "jni.h"

//over here, it should be all the classpathes needed.
//#define CLASSPATH ".;e:\\programs\\jdk1.1.7A\\lib\\classes.zip;e:\\cherubim-demo\\cherubim-code;e:\\cherubim-demo\\iaik\\iaik_jce_full.jar;e:\\cherubim-demo\\iaik\\jdk11x_update.jar;e:\\cherubim-demo\\iaik\\iaik_ssl.jar;e:\\cherubim-demo\\JacORB_v0.8;e:\\cherubim-demo\\JacORB_v0.8\\jacorb;e:\\cherubim-demo\\cherubim-code\\procdemo;e:\\cherubim-demo\\cherubim-code\\WebChat"
#define CLASSPATH ".;c:\\programs\\jdk1.1.6\\lib\\classes.zip"

class Java_Interpreting_Strategy:public interpreting_strategy // INTERPRETING_STRATEGY
{
    JNIEnv *env;
    JavaVM *jvm;
    JDK1_1InitArgs vm_args;
    jint res;
    jclass cls;
    jmethodID mid;
    jstring jstr;
    jobjectArray args;
    char classpath[1024];

public:

	Java_Interpreting_Strategy()
	{
		//IMPORTANT: specify vm_args version # if you use JDK1.1.2 and beyond
		vm_args.version = 0x00010001;
	}
  
	~Java_Interpreting_Strategy()
	{
		(*jvm).DestroyJavaVM();
	}
  
	int open();	
	
	unsigned char interpret(char *code, char *argstr);	  
	//char *interpret(char *code, char *argstr);

	void dump() const;
};


#endif
