#if !defined(ACE_2K_OS_H)
#define ACE_2K_OS_H

#include "dynamicTAO/src/ace/ace2k_export.h"
 
//FILE SYSTEM
#if defined(WIN32)
	#include<windows.h>
	typedef HANDLE *DIR_HANDLE;
	typedef WIN32_FIND_DATA DIR_ENTRY;

	#define DynamicTAO_Export __declspec(dllexport)
#else
	#include<dirent.h>
	typedef DIR *DIR_HANDLE;
	typedef struct dirent *DIR_ENTRY;
	typedef char BOOL;
	#define DynamicTAO_Export 
#if !defined(TRUE)
	#define TRUE 1
	#define FALSE 0
#endif// TRUE
#endif// WIN32 (else)

class ACE_2K_Export ACE_2k_os
{
public:
	static DIR_HANDLE opendir(char *path);
	static BOOL readdir(DIR_HANDLE dh,char *fileName);
	static void closedir(DIR_HANDLE dh);

	static char *os_name();
	static char *processor_name();
};

#endif
