/******************************************************************************
*                                                                             *
*  File: SimpleNetBroker.h                                                    *
*                                                                             *
*  Description: A TCP-based Network Broker that receives requests from an     *
                administration panel      .                                   *
*                                                                             *
*  Project: 2K - dynamically configurable ORB.                                *
*  Author: Fabio Kon (f-kon@cs.uiuc.edu)                                      *
*                                                                             *
*******************************************************************************

   Revision Control Information

   $Revision: 1.1.1.1 $

   $Log: SimpleNetBroker.h,v $
   Revision 1.1.1.1  1999/10/12 00:43:30  f-kon
   Version compatible with TAO 1.0

   Revision 1.1.1.1  1999/04/01 18:16:36  f-kon
   This new 2K source tree contains the most up-to-date version of ACE and TAO
   and including the dynamicTAO code as well as some 2K tests and preliminary
   versions of some of its high-level systems.


   Revision 1.2  1998/08/30 14:56:42  f-kon
   First modifications to try to make it work in Windows

******************************************************************************/

#ifndef SIMPLE_NETBROKER_H
#define SIMPLE_NETBROKER_H

class SimpleNetBroker {
protected:
  friend class Dynamic_Config_Service;
  SimpleNetBroker();
  ~SimpleNetBroker();// closes network connections and unbinds.

  int SetParams(int localPort);
  int initialize();
}

#endif
