/******************************************************************************
*                                                                             *
*  File: Size1Component.cpp                                                   *
*                                                                             *
*  Description: A loadable component of a certain size.                       *
*                                                                             *
*  Project: 2K - dynamic reconfiguration                                      *
*  Author: Fabio Kon (f-kon@cs.uiuc.edu)                                      *
*                                                                             *
*******************************************************************************
   Revision Control Information
   $Revision: $
   $Log: $
******************************************************************************/

#include "Size1Component.h"

Size1Component_Factory::init (int argc, char *argv[])
{
  localConfigurator (new SimpleConfigurator ("Size1Component", this));
  localConfigurator ()->info ("A component of size 1");
  return 0;
}


int a0, b0, c0, d0, e0, f0, g0, h0, i0, j0;
int func0 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;  
 }



ACE_FACTORY_DEFINE (ACE, Size1Component_Factory)
