/******************************************************************************
*                                                                             *
*  File: Size3Component.cpp                                                   *
*                                                                             *
*  Description: A loadable component of a certain size.                       *
*                                                                             *
*  Project: 2K - dynamic reconfiguration                                      *
*  Author: Fabio Kon (f-kon@cs.uiuc.edu)                                      *
*                                                                             *
*******************************************************************************
   Revision Control Information
   $Revision: $
   $Log: $
******************************************************************************/

#include "Size3Component.h"

Size3Component_Factory::init (int argc, char *argv[])
{
  localConfigurator (new SimpleConfigurator ("Size3Component", this));
  localConfigurator ()->info ("A component of size level 3");

  return 0;
}

int a0, b0, c0, d0, e0, f0, g0, h0, i0, j0;
int func0 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a1, b1, c1, d1, e1, f1, g1, h1, i1, j1;
int func1 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a2, b2, c2, d2, e2, f2, g2, h2, i2, j2;
int func2 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a3, b3, c3, d3, e3, f3, g3, h3, i3, j3;
int func3 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a4, b4, c4, d4, e4, f4, g4, h4, i4, j4;
int func4 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a5, b5, c5, d5, e5, f5, g5, h5, i5, j5;
int func5 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a6, b6, c6, d6, e6, f6, g6, h6, i6, j6;
int func6 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a7, b7, c7, d7, e7, f7, g7, h7, i7, j7;
int func7 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a8, b8, c8, d8, e8, f8, g8, h8, i8, j8;
int func8 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a9, b9, c9, d9, e9, f9, g9, h9, i9, j9;
int func9 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a10, b10, c10, d10, e10, f10, g10, h10, i10, j10;
int func10 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a11, b11, c11, d11, e11, f11, g11, h11, i11, j11;
int func11 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a12, b12, c12, d12, e12, f12, g12, h12, i12, j12;
int func12 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }




ACE_FACTORY_DEFINE (ACE, Size3Component_Factory)
