/******************************************************************************
*                                                                             *
*  File: Size6Component.cpp                                                   *
*                                                                             *
*  Description: A loadable component of a certain size.                       *
*                                                                             *
*  Project: 2K - dynamic reconfiguration                                      *
*  Author: Fabio Kon (f-kon@cs.uiuc.edu)                                      *
*                                                                             *
*******************************************************************************
   Revision Control Information
   $Revision: $
   $Log: $
******************************************************************************/

#include "Size6Component.h"

Size6Component_Factory::init (int argc, char *argv[])
{
  localConfigurator (new SimpleConfigurator ("Size6Component", this));
  localConfigurator ()->info ("A component of size level 6");

  return 0;
}


int a0, b0, c0, d0, e0, f0, g0, h0, i0, j0;
int func0 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a1, b1, c1, d1, e1, f1, g1, h1, i1, j1;
int func1 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a2, b2, c2, d2, e2, f2, g2, h2, i2, j2;
int func2 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a3, b3, c3, d3, e3, f3, g3, h3, i3, j3;
int func3 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a4, b4, c4, d4, e4, f4, g4, h4, i4, j4;
int func4 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a5, b5, c5, d5, e5, f5, g5, h5, i5, j5;
int func5 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a6, b6, c6, d6, e6, f6, g6, h6, i6, j6;
int func6 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a7, b7, c7, d7, e7, f7, g7, h7, i7, j7;
int func7 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a8, b8, c8, d8, e8, f8, g8, h8, i8, j8;
int func8 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a9, b9, c9, d9, e9, f9, g9, h9, i9, j9;
int func9 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a10, b10, c10, d10, e10, f10, g10, h10, i10, j10;
int func10 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a11, b11, c11, d11, e11, f11, g11, h11, i11, j11;
int func11 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a12, b12, c12, d12, e12, f12, g12, h12, i12, j12;
int func12 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a13, b13, c13, d13, e13, f13, g13, h13, i13, j13;
int func13 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a14, b14, c14, d14, e14, f14, g14, h14, i14, j14;
int func14 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a15, b15, c15, d15, e15, f15, g15, h15, i15, j15;
int func15 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a16, b16, c16, d16, e16, f16, g16, h16, i16, j16;
int func16 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a17, b17, c17, d17, e17, f17, g17, h17, i17, j17;
int func17 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a18, b18, c18, d18, e18, f18, g18, h18, i18, j18;
int func18 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a19, b19, c19, d19, e19, f19, g19, h19, i19, j19;
int func19 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a20, b20, c20, d20, e20, f20, g20, h20, i20, j20;
int func20 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }

int a21, b21, c21, d21, e21, f21, g21, h21, i21, j21;
int func21 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a22, b22, c22, d22, e22, f22, g22, h22, i22, j22;
int func22 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a23, b23, c23, d23, e23, f23, g23, h23, i23, j23;
int func23 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a24, b24, c24, d24, e24, f24, g24, h24, i24, j24;
int func24 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a25, b25, c25, d25, e25, f25, g25, h25, i25, j25;
int func25 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a26, b26, c26, d26, e26, f26, g26, h26, i26, j26;
int func26 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a27, b27, c27, d27, e27, f27, g27, h27, i27, j27;
int func27 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a28, b28, c28, d28, e28, f28, g28, h28, i28, j28;
int func28 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }



int a29, b29, c29, d29, e29, f29, g29, h29, i29, j29;
int func29 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a30, b30, c30, d30, e30, f30, g30, h30, i30, j30;
int func30 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a31, b31, c31, d31, e31, f31, g31, h31, i31, j31;
int func31 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a32, b32, c32, d32, e32, f32, g32, h32, i32, j32;
int func32 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a33, b33, c33, d33, e33, f33, g33, h33, i33, j33;
int func33 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a34, b34, c34, d34, e34, f34, g34, h34, i34, j34;
int func34 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a35, b35, c35, d35, e35, f35, g35, h35, i35, j35;
int func35 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }


int a36, b36, c36, d36, e36, f36, g36, h36, i36, j36;
int func36 (long a, char c, int *d) {
  static long x = 10, y = 30;
  int i, j, k;
  for (i = 10; i < 200*x; i++)
   for (j = 20; j < 10*i + y; j++)
     for ( k = 30; k < 5*j; k ++)
       {
         x = y * i - k / y;
         i = y * i - k / y;
         j = y * i - k / y;
         k = y * i - k / y;
         y = y * i - k / y;
       }
  return 0;
 }




ACE_FACTORY_DEFINE (ACE, Size6Component_Factory)
